Bug 1473512 - Pod chart display was out of the border on overviewpage in IE 11
Summary: Pod chart display was out of the border on overviewpage in IE 11
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 3.6.0
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: 3.7.0
Assignee: Robb Hamilton
QA Contact: XiaochuanWang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-07-21 04:17 UTC by xipang
Modified: 2017-11-28 22:04 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: A known bug in Internet Explorer resulted in the layout of pod charts overflowing their containers on the overview page. Consequence: As a result, the pod charts looked mis-aligned in the UI. Fix: The fix involved increasing the specificity on some CSS declarations so that they only apply when they are needed, which is during a deployment when the pod charts are being animated. Result: The pod charts appear correctly aligned in Internet Explorer.
Clone Of:
Environment:
Last Closed: 2017-11-28 22:04:10 UTC
Target Upstream Version:


Attachments (Terms of Use)
out of border (115.46 KB, image/png)
2017-07-21 04:17 UTC, xipang
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3188 normal SHIPPED_LIVE Moderate: Red Hat OpenShift Container Platform 3.7 security, bug, and enhancement update 2017-11-29 02:34:54 UTC

Description xipang 2017-07-21 04:17:40 UTC
Created attachment 1302126 [details]
out of border

Description of problem:
Pod chart display was out of the border on overviewpage in IE 11,especially when browser is maximized.

Version-Release number of selected component (if applicable):
oc v3.6.153
kubernetes v1.6.1+5115d708d7

How reproducible:
Always

Steps to Reproduce:
1.Login web console, create a application(eg.ruby)
2.Click " > " expande button , check pod chart display when change browser zoom view to 100%

Actual results:
2.Pod chart dispiay was out of the border 

Expected results:
2.Pod chart display normally

Additional info:

Comment 1 Robb Hamilton 2017-07-21 18:44:56 UTC
PR to fix: https://github.com/openshift/origin-web-console/pull/1867

Comment 3 Yadan Pei 2017-10-09 07:27:22 UTC
Checked on v3.7.0-0.143.1

The display issue on Overview page has been fixed

Move to VERIFIED

Comment 6 errata-xmlrpc 2017-11-28 22:04:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3188


Note You need to log in before you can comment on or make changes to this bug.